import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ContainerObjectUploadFormComponent } from './container-object-upload-form.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';

describe('ContainerObjectUploadFormComponent', () => {
  let component: ContainerObjectUploadFormComponent;
  let fixture: ComponentFixture<ContainerObjectUploadFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ContainerObjectUploadFormComponent],
      imports: [
        RouterTestingModule, HttpClientTestingModule, ReactiveFormsModule, MatSnackBarModule, MatDialogModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ContainerObjectUploadFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
